package subject

import "fmt"

// getSegmentValue ...
func getProductValue(val string) string {
	return fmt.Sprintf("%s.%s", prefixes.Product, val)
}

var Product = struct {
	ApplyRequest                                        string
	CreateRequestStep                                   string
	ProcessApplyRequest                                 string
	RequestChangeStatus                                 string
	WebhookStockUpdate                                  string // WebhookStockUpdate Kiotviet queue
	OPWebhookStockUpdate                                string // OPWebhookStockUpdate Onpoint queue
	OrderPaymentBankTransferWebhookCheckAndUpdateStatus string
}{
	ApplyRequest:         getProductValue("apply_request"),
	CreateRequestStep:    getProductValue("create_request_step"),
	ProcessApplyRequest:  getProductValue("process_apply_request"),
	RequestChangeStatus:  getProductValue("request_change_status"),
	WebhookStockUpdate:   getProductValue("webhook_stock_update"),
	OPWebhookStockUpdate: getProductValue("op_webhook_stock_update"),
	OrderPaymentBankTransferWebhookCheckAndUpdateStatus: getProductValue("order_payment_bank_transfer_webhook_check_and_update_status"),
}
